JBoss API: Class JMSProviderLoader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.jndi
Class JMSProviderLoader

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--org.jboss.util.ServiceMBeanSupport
                  |
                  +--org.jboss.jms.jndi.JMSProviderLoader

All Implemented Interfaces:
  JMSProviderLoaderMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, Service, ServiceMBean

public class JMSProviderLoader
extends ServiceMBeanSupport
implements JMSProviderLoaderMBean

A JMX service to load a JMSProviderAdapter and register it.

Created: Wed Nov 29 14:07:07 2000

6/22/01 - hchirino - The queue/topic jndi references are now configed via JMX

Version:
  $Revision: 1.2.6.2 $
Author:
  Hiram Chirino, Jason Dillon

Field Summary
`protected JMSProviderAdapter` | `providerAdapter` The provider adapter which we are loading.
`protected java.lang.String` | `providerAdapterClass` The provider adapter classname.
`protected java.lang.String` | `providerName` The provider name.
`protected java.lang.String` | `queueFactoryRef` The queue factory jndi name.
`protected java.lang.String` | `topicFactoryRef` The topic factory jndi name.
`protected java.lang.String` | `url` The provider url.

Fields inherited from class org.jboss.util.ServiceMBeanSupport
`log, server`

Fields inherited from interface org.jboss.jms.jndi.JMSProviderLoaderMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`JMSProviderLoader()`

Method Summary
`java.lang.String` | `getName()`
`javax.management.ObjectName` | `getObjectName(javax.management.MBeanServer parm1, javax.management.ObjectName parm2)`
`java.lang.String` | `getProviderAdapterClass()`
`java.lang.String` | `getProviderName()`
`java.lang.String` | `getProviderUrl()`
`java.lang.String` | `getQueueFactoryRef()` Insert the method's description here.
`java.lang.String` | `getTopicFactoryRef()` Insert the method's description here.
`void` | `initService()`
`void` | `setProviderAdapterClass(java.lang.String clazz)`
`void` | `setProviderName(java.lang.String name)`
`void` | `setProviderUrl(java.lang.String url)`
`void` | `setQueueFactoryRef(java.lang.String newQueueFactoryRef)` Insert the method's description here.
`void` | `setTopicFactoryRef(java.lang.String newTopicFactoryRef)` Insert the method's description here.
`void` | `startService()`
`void` | `stopService()`

Methods inherited from class org.jboss.util.ServiceMBeanSupport
`destroy, destroyService, getServer, getState, getStateString, init, nextSequenceNumber, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.util.ServiceMBean
`getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### providerAdapter

    protected JMSProviderAdapter providerAdapter

  The provider adapter which we are loading.

### url

    protected java.lang.String url

  The provider url.

### providerName

    protected java.lang.String providerName

  The provider name.

### providerAdapterClass

    protected java.lang.String providerAdapterClass

  The provider adapter classname.

### queueFactoryRef

    protected java.lang.String queueFactoryRef

  The queue factory jndi name.

### topicFactoryRef

    protected java.lang.String topicFactoryRef

  The topic factory jndi name.

Constructor Detail

### JMSProviderLoader

    public JMSProviderLoader()

Method Detail

### setProviderName

    public void setProviderName(java.lang.String name)

  Specified by:
    `setProviderName` in interface `JMSProviderLoaderMBean`

### getProviderName

    public java.lang.String getProviderName()

  Specified by:
    `getProviderName` in interface `JMSProviderLoaderMBean`

### setProviderAdapterClass

    public void setProviderAdapterClass(java.lang.String clazz)

  Specified by:
    `setProviderAdapterClass` in interface `JMSProviderLoaderMBean`

### getProviderAdapterClass

    public java.lang.String getProviderAdapterClass()

  Specified by:
    `getProviderAdapterClass` in interface `JMSProviderLoaderMBean`

### setProviderUrl

    public void setProviderUrl(java.lang.String url)

  Specified by:
    `setProviderUrl` in interface `JMSProviderLoaderMBean`

### getProviderUrl

    public java.lang.String getProviderUrl()

  Specified by:
    `getProviderUrl` in interface `JMSProviderLoaderMBean`

### getObjectName

    public javax.management.ObjectName getObjectName(javax.management.MBeanServer parm1,
                                                     javax.management.ObjectName parm2)
                                              throws javax.management.MalformedObjectNameException

  Overrides:
    `getObjectName` in class `ServiceMBeanSupport`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ServiceMBean`
  Overrides:
    `getName` in class `ServiceMBeanSupport`

### initService

    public void initService()
                     throws java.lang.Exception

  Overrides:
    `initService` in class `ServiceMBeanSupport`

### startService

    public void startService()
                      throws java.lang.Exception

  Overrides:
    `startService` in class `ServiceMBeanSupport`

### stopService

    public void stopService()

  Overrides:
    `stopService` in class `ServiceMBeanSupport`

### setQueueFactoryRef

    public void setQueueFactoryRef(java.lang.String newQueueFactoryRef)

  Insert the method's description here. Creation date: (6/22/2001 12:38:31 AM)
  Specified by:
    `setQueueFactoryRef` in interface `JMSProviderLoaderMBean`
  Parameters:
    `newQueueFactoryRef` - String

### setTopicFactoryRef

    public void setTopicFactoryRef(java.lang.String newTopicFactoryRef)

  Insert the method's description here. Creation date: (6/22/2001 12:38:31 AM)
  Specified by:
    `setTopicFactoryRef` in interface `JMSProviderLoaderMBean`
  Parameters:
    `newTopicFactoryRef` - String

### getQueueFactoryRef

    public java.lang.String getQueueFactoryRef()

  Insert the method's description here. Creation date: (6/22/2001 12:38:31 AM)
  Specified by:
    `getQueueFactoryRef` in interface `JMSProviderLoaderMBean`
  Returns:
    String

### getTopicFactoryRef

    public java.lang.String getTopicFactoryRef()

  Insert the method's description here. Creation date: (6/22/2001 12:38:31 AM)
  Specified by:
    `getTopicFactoryRef` in interface `JMSProviderLoaderMBean`
  Returns:
    String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.